Package org.eclipse.emf.cdo.lm

# Interface Change

All Superinterfaces:
  `Baseline`, `CDOObject`, `CDOWithID`, `EObject`, `FloatingBaseline`, `ModelElement`, `ModuleElement`, `Notifier`, `StreamElement`, `SystemElement`

All Known Implementing Classes:
  `ChangeImpl`

public interface Change extends FloatingBaseline
A representation of the model object 'Change'.

See Also:
  - `LMPackage.getChange()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Base`
  - `Label`
  - `Impact`
  - `Branch`
  - `Deliveries`
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.lm.Baseline

`COMPARATOR`

## Method Summary

Modifier and Type
Method
Description
`FixedBaseline`
`getBase()`
Returns the value of the 'Base' reference.
`CDOBranchRef`
`getBranch()`
Returns the value of the 'Branch' attribute.
`EList<Delivery>`
`getDeliveries()`
Returns the value of the 'Deliveries' reference list.
`Delivery`
`getDelivery(Stream stream)`
`EList<Stream>`
`getDeliveryCandidateStreams()`
`BasePoint`
`getDeliveryPoint(Stream stream)`
`EList<Stream>`
`getDeliveryStreams()`
`Impact`
`getImpact()`
Returns the value of the 'Impact' attribute.
`String`
`getLabel()`
Returns the value of the 'Label' attribute.
`boolean`
`isDeliverable()`
`void`
`setBase(FixedBaseline value)`
Sets the value of the '`Base`' reference.
`void`
`setBranch(CDOBranchRef value)`
Sets the value of the '`Branch`' attribute.
`void`
`setImpact(Impact value)`
Sets the value of the '`Impact`' attribute.
`void`
`setLabel(String value)`
Sets the value of the '`Label`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.lm.Baseline

`getBaseTimeStamp, getBranchPoint, getName, getStream, getTypeAndName, getTypeName, isFloating, setStream`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.lm.FloatingBaseline

`isClosed, setClosed`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.cdo.lm.ModuleElement

`getModule`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Method Details

### getBase

FixedBaseline getBase()
Returns the value of the 'Base' reference.

Specified by:
  `getBase` in interface `FloatingBaseline`
Returns:
  the value of the 'Base' reference.
See Also:
  - `setBase(FixedBaseline)`
  - `LMPackage.getChange_Base()`
Generated
Model

### setBase

void setBase(FixedBaseline value)
Sets the value of the '`Base`' reference.

Parameters:
  `value` - the new value of the 'Base' reference.
See Also:
  - `getBase()`
Generated

### getLabel

String getLabel()
Returns the value of the 'Label' attribute.

Returns:
  the value of the 'Label' attribute.
See Also:
  - `setLabel(String)`
  - `LMPackage.getChange_Label()`
Generated
Model

### setLabel

void setLabel(String value)
Sets the value of the '`Label`' attribute.

Parameters:
  `value` - the new value of the 'Label' attribute.
See Also:
  - `getLabel()`
Generated

### getImpact

Impact getImpact()
Returns the value of the 'Impact' attribute. The literals are from the enumeration `Impact`.

Returns:
  the value of the 'Impact' attribute.
See Also:
  - `Impact`
  - `setImpact(Impact)`
  - `LMPackage.getChange_Impact()`
Generated
Model
  required="true"

### setImpact

void setImpact(Impact value)
Sets the value of the '`Impact`' attribute.

Parameters:
  `value` - the new value of the 'Impact' attribute.
See Also:
  - `Impact`
  - `getImpact()`
Generated

### getBranch

CDOBranchRef getBranch()
Returns the value of the 'Branch' attribute. The default value is `""`.

Specified by:
  `getBranch` in interface `FloatingBaseline`
Returns:
  the value of the 'Branch' attribute.
See Also:
  - `setBranch(CDOBranchRef)`
  - `LMPackage.getChange_Branch()`
Generated
Model
  default="" dataType="org.eclipse.emf.cdo.etypes.BranchRef" required="true"

### setBranch

void setBranch(CDOBranchRef value)
Sets the value of the '`Branch`' attribute.

Parameters:
  `value` - the new value of the 'Branch' attribute.
See Also:
  - `getBranch()`
Generated

### getDeliveries

EList<Delivery> getDeliveries()
Returns the value of the 'Deliveries' reference list. The list contents are of type `Delivery`. It is bidirectional and its opposite is '`Change`'.

Specified by:
  `getDeliveries` in interface `FloatingBaseline`
Returns:
  the value of the 'Deliveries' reference list.
See Also:
  - `LMPackage.getChange_Deliveries()`
  - `Delivery.getChange()`
Generated
Model
  opposite="change"

### getDeliveryStreams

EList<Stream> getDeliveryStreams()

### getDelivery

Delivery getDelivery(Stream stream)

### getDeliveryPoint

BasePoint getDeliveryPoint(Stream stream)

### getDeliveryCandidateStreams

EList<Stream> getDeliveryCandidateStreams()

### isDeliverable

boolean isDeliverable()